Bug 31764 - I18N - AU should handle localizing nbms correctly.
I18N - AU should handle localizing nbms correctly.
Status: RESOLVED WONTFIX
Product: platform
Classification: Unclassified
Component: Autoupdate
3.x
All All
: P2 (vote)
: TBD
Assigned To: Jiri Rechtacek
issues@platform
NbFeature1037
: I18N
Depends on:
Blocks: 33098
  Show dependency treegraph
 
Reported: 2003-03-07 10:17 UTC by Petr Hrebejk
Modified: 2008-10-16 16:32 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Hrebejk 2003-03-07 10:17:08 UTC
AU should be able to install NBMs which do not
contain any module.
Currently localizing NBMs need to contain a fake
module to work. This
is not correct.
Comment 1 Jeri Lockhart 2003-03-07 15:35:15 UTC
As part of this change, f4j_all/ui/welcome/build.xml will need to be
modified to place the branded welcome_f4j.jar in the f4jroot (not
nbroot) modules/locale folder.
Comment 2 Jesse Glick 2003-03-07 18:17:07 UTC
Or at least the NBM format is supposed to handle localized NBMs - not
known how well this works, and no apparent Ant tasks to build them, or
clear documentation.
Comment 3 Jesse Glick 2003-03-14 20:02:15 UTC
Update - daily alpha NBMs for dev seem to be using this system when
published. It is still critically buggy (see bugs filed in nbbuild)
but may be actually testable soon.
Comment 4 rbalada 2003-06-04 12:54:44 UTC
Switching to defect. Currently it's not possible to install multiple
languages at one time of the same codenamename+spec.version key and
all the localized NBMs are allways offered again and again, even
already installed.

Test case:
- run clean 3.5 IDE installation
- open update client
- select just Alpha update centre and connect to it
- select two or more folders with name beginning with "L10N-"
- click on the arrow pointing to the right side

You'll be informed, that some module has already been selected and be
asked whether you wish to overwrite it in the selection box.

This seems to be again the same problem with using only codenamebase
and specification version as primary key. Adding langcode to the
primary key would help.
Comment 5 Marian Mirilovic 2003-12-01 10:49:41 UTC
reassigne to Jirka - new owner of autoupdate
Comment 6 Jiri Rechtacek 2004-02-11 15:43:18 UTC
In nb3.5 is fixed the part this issue which has leaded to defect. It's
allowed to install multiple languages at one time, language is added
to "primary key". From this time can be tracked again as enhancement.
Comment 7 Marian Mirilovic 2004-12-21 09:26:52 UTC
I guess this won't be fixed for NB4.0 , please evaluate again.
Comment 8 Jiri Rechtacek 2005-04-26 12:56:21 UTC
Support L10N needs improvement, one of the supported use cases.
Comment 9 Jiri Rechtacek 2008-10-16 16:32:57 UTC
Localized NBM are not distributed by AU for long time. IMHO it should closed as wontfix.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo